diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
index 0910282f2..e78e10646 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
@@ -12,19 +12,16 @@ import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.WeightedRandomLootObject;
-import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryTrommel;
-import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.client.gui.guidebook.SlotGuidebook;
-import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.HashMap;
@@ -35,7 +32,7 @@ public class RecipePageTrommel
     extends RecipePage<RecipeEntryTrommel> {
     public static final int RECIPES_PER_PAGE = 3;
     public List<SlotGuidebook> slots;
-    public Map<RecipeEntryTrommel,List<SlotGuidebook>> map;
+    public Map<RecipeEntryTrommel, List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft();
@@ -47,29 +44,28 @@ public class RecipePageTrommel
         this.recipes = recipes;
         this.slots = new ArrayList<>();
         this.map = new HashMap<>();
-        tooltipElement = new TooltipElement(mc);
-        itemElement = new ItemElement(mc);
+        this.tooltipElement = new TooltipElement(mc);
+        this.itemElement = new ItemElement(mc);
         int recipeAmount = 0;
         int yOffset = 8;
         for (RecipeEntryTrommel recipe : recipes) {
             List<SlotGuidebook> recipeSlots = new ArrayList<>();
             int slotsAmount = 10;
 
-            for (int i = 0; i < slotsAmount - 1; i++)
-            {
-                if(recipe.getOutput().getEntries().size() > i){
+            for (int i = 0; i < slotsAmount - 1; i++) {
+                if (recipe.getOutput().getEntries().size() > i) {
                     ItemStack stack = recipe.getOutput().getEntries().get(i).getItemStack();
-                    recipeSlots.add(new SlotGuidebook(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3)+recipeAmount*3) + yOffset, new RecipeSymbol(stack), false,recipe).setAsOutput());
+                    recipeSlots.add(new SlotGuidebook(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3) + recipeAmount * 3) + yOffset, new RecipeSymbol(stack), false, recipe).setAsOutput());
                 } else {
-                    recipeSlots.add(new SlotGuidebook(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3)+recipeAmount*3) + yOffset, null, false,recipe).setAsOutput());
+                    recipeSlots.add(new SlotGuidebook(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3) + recipeAmount * 3) + yOffset, null, false, recipe).setAsOutput());
                 }
             }
 
-            int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-8).y) / 2;
-            recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 19, centerY,recipe.getInput(), false,recipe));
+            int centerY = (recipeSlots.get(recipeSlots.size() - 1).y + recipeSlots.get(recipeSlots.size() - 8).y) / 2;
+            recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 19, centerY, recipe.getInput(), false, recipe));
 
-            map.put(recipe,recipeSlots);
-            slots.addAll(recipeSlots);
+            this.map.put(recipe, recipeSlots);
+            this.slots.addAll(recipeSlots);
             yOffset += 4;
             recipeAmount++;
         }
@@ -79,32 +75,32 @@ public class RecipePageTrommel
     @Override
     public void onTick() {
         ticks++;
-        for (SlotGuidebook slot : slots) {
-            if(ticks > 20) {
+        for (SlotGuidebook slot : this.slots) {
+            if (ticks > 20) {
                 slot.showRandomItem();
-                if(slots.get(slots.size()-1) == slot){
+                if (this.slots.get(this.slots.size() - 1) == slot) {
                     ticks = 0;
                 }
             }
         }
 
         ticks2++;
-        if(ticks2 > 25) {
+        if (ticks2 > 25) {
             ticks2 = 0;
-            for (SlotGuidebook slot : slots) {
+            for (SlotGuidebook slot : this.slots) {
                 if (slot.recipe instanceof RecipeEntryTrommel) {
                     RecipeSymbol input = (RecipeSymbol) slot.recipe.getInput();
                     if (!input.matches(slot.getItemStack())) {
-                        if(slot.recipeAmount > 8){
-                            int recipeIndexMax = Math.round((float) slot.recipeAmount /9);
-                            if(slot.recipeIndex >= recipeIndexMax){
+                        if (slot.recipeAmount > 8) {
+                            int recipeIndexMax = Math.round((float) slot.recipeAmount / 9);
+                            if (slot.recipeIndex >= recipeIndexMax) {
                                 slot.recipeIndex = 0;
                             } else {
                                 slot.recipeIndex++;
                             }
                             WeightedRandomBag<WeightedRandomLootObject> loot = (WeightedRandomBag<WeightedRandomLootObject>) slot.recipe.getOutput();
                             int index = slot.index + (9 * slot.recipeIndex);
-                            if(index > slot.recipeAmount){
+                            if (index > slot.recipeAmount) {
                                 slot.item = null;
                             } else {
                                 slot.item = loot.getEntries().get(index).getItemStack();
@@ -118,33 +114,32 @@ public class RecipePageTrommel
 
     @Override
     protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        if(recipes.isEmpty()){
-            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
+        if (this.recipes.isEmpty()) {
+            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes"), x + this.width / 2, y + this.height / 2, 0xFF808080);
         }
         SlotGuidebook mouseOverSlot = null;
-        for (SlotGuidebook slot : slots) {
-            drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
-            if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            itemElement.render(slot.getItemStack(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
+        for (SlotGuidebook slot : this.slots) {
+            drawSlot(x + slot.x - 1, y + slot.y - 1, 0xFFFFFFFF);
+            if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
+            this.itemElement.render(slot.getItemStack(), x + slot.x, y + slot.y, mouseOverSlot == slot, slot);
         }
     }
 
-    public boolean getIsMouseOverSlot(final Slot slot, int x, int y, int mouseX, int mouseY)
-    {
-        return mouseX >= x+slot.x - 1 && mouseX < x+slot.x + 16 + 1 && mouseY >= y+slot.y - 1 && mouseY < y+slot.y + 16 + 1;
+    public boolean getIsMouseOverSlot(final Slot slot, int x, int y, int mouseX, int mouseY) {
+        return mouseX >= x + slot.x - 1 && mouseX < x + slot.x + 16 + 1 && mouseY >= y + slot.y - 1 && mouseY < y + slot.y + 16 + 1;
     }
 
     @Override
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
-        if(mc.gameSettings.keyShowRecipe.isKeyboardKey(key)){
-            SlotGuidebook hoveringSlot= null;
-            for (SlotGuidebook slot : slots) {
-                if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
+        if (mc.gameSettings.keyShowRecipe.isKeyboardKey(key)) {
+            SlotGuidebook hoveringSlot = null;
+            for (SlotGuidebook slot : this.slots) {
+                if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
             }
-            if(hoveringSlot != null){
-                if(hoveringSlot.hasItem()){
-                    String query = "r:"+hoveringSlot.getItemStack().getDisplayName()+"!";
+            if (hoveringSlot != null) {
+                if (hoveringSlot.hasItem()) {
+                    String query = "r:" + hoveringSlot.getItemStack().getDisplayName() + "!";
                     GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
                     GuidebookPageSearch.searchField.setText(query);
                     ScreenGuidebook.getPageManager().updatePages();
@@ -153,11 +148,11 @@ public class RecipePageTrommel
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
-            SlotGuidebook hoveringSlot= null;
-            for (SlotGuidebook slot : slots) {
-                if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
+            SlotGuidebook hoveringSlot = null;
+            for (SlotGuidebook slot : this.slots) {
+                if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
             }
-            if(hoveringSlot != null) {
+            if (hoveringSlot != null) {
                 if (hoveringSlot.hasItem()) {
                     String query = "u:" + hoveringSlot.getItemStack().getDisplayName() + "!";
                     GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
@@ -181,10 +176,10 @@ public class RecipePageTrommel
     protected void renderBackground(TextureManager re, int x, int y) {
         super.renderBackground(re, x, y);
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
-        for (int i = 1; i <= recipes.size(); i++) {
-            RecipeEntryTrommel recipe = recipes.get(i-1);
-            List<SlotGuidebook> list = map.get(recipe);
-            drawTexturedModalRect(x + list.get(list.size()-1).x + 25, y +  list.get(list.size()-1).y, 234, 0, 22, 15);
+        for (int i = 1; i <= this.recipes.size(); i++) {
+            RecipeEntryTrommel recipe = this.recipes.get(i - 1);
+            List<SlotGuidebook> list = this.map.get(recipe);
+            drawTexturedModalRect(x + list.get(list.size() - 1).x + 25, y + list.get(list.size() - 1).y, 234, 0, 22, 15);
         }
     }
 
@@ -192,16 +187,14 @@ public class RecipePageTrommel
     protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, sr, x, y, mouseX, mouseY, partialTicks);
         SlotGuidebook mouseOverSlot = null;
-        for (SlotGuidebook slot : slots) {
-            if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-            if (mouseOverSlot != null && mouseOverSlot.hasItem())
-            {
+        for (SlotGuidebook slot : this.slots) {
+            if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+            if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
                 boolean showDescription = DescriptionPromptEnum.showDescription(mc);
-                String str = tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
-                if(!str.isEmpty())
-                {
-                    tooltipElement.render(str, mouseX, mouseY, 8, -8);
+                String str = this.tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
+                if (!str.isEmpty()) {
+                    this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
                 }
             }
         }
